/*
 * PokeFrog - A 'Pokemonized' verison of Frogger, the well-known Konami game.
 *
 * copyright (c) 2012 Fabien LOISON <http://www.flogisoft.com/>
 * 
 * this program is free software. it comes without any warranty, to
 * the extent permitted by applicable law. you can redistribute it
 * and/or modify it under the terms of the do what the fuck you want
 * to public license, version 2, as published by sam hocevar. see
 * http://sam.zoy.org/wtfpl/copying for more details. 
 */


/**
 * This file contains some resources of the game.
 *
 * @module PokeFrog
 */


// ---- 'main' Tileset
var RES_TILESET_MAIN = {
	'water': {
		'size': [32, 32],
		'pos': [[0, 0], [32, 0], [64, 0], [96, 0], [128, 0], [160, 0], [192, 0], [224, 0]],
		'speed': 10,
		'step': 0
	},
	'grass0': {
		'size': [32, 32],
		'pos': [[32, 32]],
		'speed': 0,
		'step': 0
	},
	'grass1': {
		'size': [32, 32],
		'pos': [[32, 64]],
		'speed': 0,
		'step': 0
	},
	'grass2': {
		'size': [32, 32],
		'pos': [[32, 96]],
		'speed': 0,
		'step': 0
	},
	'road0': {
		'size': [32, 32],
		'pos': [[0, 32]],
		'speed': 0,
		'step': 0
	},
	'road1': {
		'size': [32, 32],
		'pos': [[0, 64]],
		'speed': 0,
		'step': 0
	},
	'road2': {
		'size': [32, 32],
		'pos': [[0, 96]],
		'speed': 0,
		'step': 0
	},
	'lily': {
		'size': [64, 64],
		'pos': [[64, 64]],
		'speed': 0,
		'step': 0
	},
	'redflower': {
		'size': [32, 32],
		'pos': [[64, 32], [96, 32], [128, 32], [160, 32], [192, 32]],
		'speed': 16,
		'step': 0
	},
	'blueflower': {
		'size': [32, 32],
		'pos': [[128, 64], [160, 64], [192, 64], [224, 64]],
		'speed': 16,
		'step': 0
	},
	'trunk0': {
		'size': [32, 32],
		'pos': [[128, 96]],
		'speed': 0,
		'step': 0
	},
	'trunk1': {
		'size': [32, 32],
		'pos': [[160, 96]],
		'speed': 0,
		'step': 0
	},
	'trunk2': {
		'size': [32, 32],
		'pos': [[192, 96]],
		'speed': 0,
		'step': 0
	},
	'pokeball': {
		'size': [32, 32],
		'pos': [[224, 32]],
		'speed': 0,
		'step': 0
	},
	'lives3': {
		'size': [96, 32],
		'pos': [[0, 128]],
		'speed': 0,
		'step': 0
	},
	'lives2': {
		'size': [96, 32],
		'pos': [[0, 160]],
		'speed': 0,
		'step': 0
	},
	'lives1': {
		'size': [96, 32],
		'pos': [[0, 192]],
		'speed': 0,
		'step': 0
	},
	'lives0': {
		'size': [96, 32],
		'pos': [[0, 224]],
		'speed': 0,
		'step': 0
	},
	'darkbg0': {
		'size': [96, 32],
		'pos': [[96, 128]],
		'speed': 0,
		'step': 0
	}
};


// ---- 'pokemon' Tileset
var RES_TILESET_POKEMON = {
	'up': {
		'size': [64, 64],
		'pos': [[0, 0]],
		'speed': 0,
		'step': 0
	},
	'up-walk': {
		'size': [64, 64],
		'pos': [[0, 0], [0, 64]],
		'speed': 7,
		'step': 0
	},
	'left': {
		'size': [64, 64],
		'pos': [[64, 0]],
		'speed': 0,
		'step': 0
	},
	'left-walk': {
		'size': [64, 64],
		'pos': [[64, 0], [64, 64]],
		'speed': 7,
		'step': 0
	},
	'down': {
		'size': [64, 64],
		'pos': [[128, 0]],
		'speed': 0,
		'step': 0
	},
	'down-walk': {
		'size': [64, 64],
		'pos': [[128, 0], [128, 64]],
		'speed': 7,
		'step': 0
	},
	'right': {
		'size': [64, 64],
		'pos': [[192, 0]],
		'speed': 0,
		'step': 0
	},
	'right-walk': {
		'size': [64, 64],
		'pos': [[192, 0], [192, 64]],
		'speed': 7,
		'step': 0
	}
};


// ---- 'pokemon' Hitbox
var RES_HITBOX_POKEMON = [16, 42, 48, 59];


// ---- 'enemies' Tileset
var RES_TILESET_ENEMIES = {
	'truck-left': {
		'size': [64, 32],
		'pos': [[0, 0]],
		'speed': 0,
		'step': 0
	},
	'truck-right': {
		'size': [64, 32],
		'pos': [[0, 32]],
		'speed': 0,
		'step': 0
	}
};


// ---- 'bg' Map
var RES_MAP_BG = [
	['grass1', 'lily', null, 'grass1', 'blueflower', 'lily', null, 'grass1', 'grass1', 'lily', null, 'grass1', 'grass1', 'lily', null, 'grass1', 'grass1', 'lily', null, 'grass1', 'grass1'],
	['grass2', null, null, 'grass2', 'grass2', null, null, 'grass2', 'grass2', null, null, 'grass2', 'grass2', null, null, 'grass2', 'grass2', null, null, 'grass2', 'grass2'],
	['water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water'],
	['water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water'],
	['water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water'],
	['water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water'],
	['water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water', 'water'],
	['grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0', 'grass0'],
	['road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0', 'road0'],
	['road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1'],
	['road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1'],
	['road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1', 'road1'],
	['road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2', 'road2'],
	['grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'redflower', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1'],
	['grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1', 'grass1']
]
